ResourceGridFactory (gCube Resource Sweeper Widget 2.0.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.resourcesweeper.client.grids

## Class ResourceGridFactory

- java.lang.Object
- - org.gcube.portlets.admin.resourcesweeper.client.grids.ResourceGridFactory

-     public class ResourceGridFactory
      extends Object

  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceGridFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData>` | `createGrid(String resourceType, List<String> result, String groupingColumn)`
    `static com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData>` | `createGrid(String resourceType, List<String> result, String groupingColumn, boolean autoExpand)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceGridFactory

          public ResourceGridFactory()

  - ### Method Detail

    - #### createGrid

          public static final com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> createGrid(String resourceType,
                                                                                                    List<String> result,
                                                                                                    String groupingColumn)

    - #### createGrid

          public static final com.extjs.gxt.ui.client.widget.grid.Grid<com.extjs.gxt.ui.client.data.ModelData> createGrid(String resourceType,
                                                                                                    List<String> result,
                                                                                                    String groupingColumn,
                                                                                                    boolean autoExpand)

Copyright © 2014. All Rights Reserved.